List certificates
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/ssl_certificates?limit=100&offset=100"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/ssl_certificates?limit=100&offset=100';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/ssl_certificates?limit=100&offset=100' \ --header 'Authorization: Basic <credentials>'Returns the SSL certificates for the install. If the install has no certificates, returns a 404 with an error message.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID of install
Example
294deacc-d8b8-4005-82c4-0727ba8ddde0Query Parameters
Section titled “Query Parameters”(Optional) The number of records to return
Example
100(Optional) The first record of the result set to be retrieved
Example
100Responses
Section titled “Responses”Returns a list of Certificate objects, with a next_page_token if more results are available.
object
object
The id of the certificate
The account name of the owner of the certificate
Whether auto renew is enabled (true) or disabled (false)
The auth file for the certificate
The approver email for the certificate
The common name for the domain
The time when the certificate was cancelled
The source of the certificate
The time when the certificate was ordered
A boolean flag that indicates if the certificate is for a wildcard domain
A list of domains for the certificate
The current status of the certificate
The time the certificate was approved
The time when the certificate expires
The Certificate Serial Number as defined in the X.509 standard. Presented as a hexadecimal string.
A token to retrieve the next page of results, if available.
Example
{ "certificates": [ { "account": "myaccountname", "common_name": "customdomain.com", "cert_source": "CERT_SOURCE_UNSPECIFIED", "domains": [ "customdomain.com", "www.customdomain.com" ], "status": "SSL_STATE_UNSPECIFIED", "serial_number": "18F662FB207C19E7841E8F41E6771BEE" } ], "next_page_token": "1"}Bad Request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid request.", "errors": [ { "resource": "Resource", "field": "field_name", "type": "invalid_value", "code": "invalid", "message": "The value is invalid." } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}No SSL certificates found
object
Error message indicating no SSL certificates were found
Example
{ "message": "No SSL certs found for environment 'testinstall'"}Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}Service unavailable